#include <iostream>

using namespace std;

int main() {
	
	int n,m,r,o,x,y,u;
	
	cin>>n>>m;
	
	o=n*m;
	x=n-2;
	y=m-2;
	u=x*y;
	if(u%2==0)
	{
		r=o-(u/2);
	}
	else
	{
		r=o-((u/2)+1);
	}
	cout<<r;
	
	return 0;
}